# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/realtek,rt5616.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Realtek rt5616 ALSA SoC audio codec driver

description: |
  Pins on the device (for linking into audio routes) for RT5616:

      * IN1P
      * IN2P
      * IN2N
      * LOUTL
      * LOUTR
      * HPOL
      * HPOR

maintainers:
  - Bard Liao <bardliao@realtek.com>

allOf:
  - $ref: dai-common.yaml#

properties:
  compatible:
    const: realtek,rt5616

  reg:
    maxItems: 1

  clocks:
    items:
      - description: Master clock to the CODEC

  clock-names:
    items:
      - const: mclk

required:
  - compatible
  - reg

unevaluatedProperties: false

examples:
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        audio-codec@1b {
            compatible = "realtek,rt5616";
            reg = <0x1b>;
        };
    };
